<?php
/**
 * @name      TwitterEmbedder
 * @copyright TwitterEmbedder contributors
 * @license   BSD http://opensource.org/licenses/BSD-3-Clause
 *
 * @version 0.0.3
 *
 */

class TwitterEmbedder_Integrate
{
	protected static $load_js = true;

	public static function integrate_post_bbc_parser(&$message)
	{
		$message = preg_replace_callback('~<a href="(http[s]?://twitter.com/\w+/status/\d+)" (.*?)>\1</a>~',
		function($matches) {
			$matches[2] = str_replace('class="', 'class="twitter_embed ', $matches[2]);
			return '<a href="' . $matches[1] . '" ' . $matches[2] . '>' . $matches[1] . '</a>';
		},
		$message
		);

		if (self::$load_js === true)
		{
			loadJavascriptFile('twitter_embed.jquery.js');
			addInlineJavascript('
			$(document).ready(function() {
				$(".twitter_embed").lazyload();
			});');
			self::$load_js = false;
		}
	}
}